org.apache.felix.ipojo.bnd

## Class PojoizationPlugin

- java.lang.Object
- - org.apache.felix.ipojo.bnd.PojoizationPlugin

All Implemented Interfaces:
  aQute.bnd.service.AnalyzerPlugin, aQute.bnd.service.Plugin

    public class PojoizationPlugin
    extends Object
    implements aQute.bnd.service.Plugin, aQute.bnd.service.AnalyzerPlugin

A `BndIpojoPlugin` is ...

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`PojoizationPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `analyzeJar(aQute.bnd.osgi.Analyzer analyzer)`
`protected org.apache.felix.ipojo.manipulator.metadata.CompositeMetadataProvider` `buildMetadataProvider(aQute.bnd.osgi.Analyzer analyzer, BndReporter reporter, BndJarResourceStore store)`
`protected org.apache.felix.ipojo.manipulator.ManipulationVisitor` `createVisitor(org.apache.felix.ipojo.manipulator.ResourceStore store, BndReporter reporter)`
`protected void` `manipulateComponents(BndReporter reporter, BndJarResourceStore store, org.apache.felix.ipojo.manipulator.metadata.CacheableMetadataProvider cache, ClassLoader classLoader)`
`void` `setProperties(Map<String,String> configuration)`
`void` `setReporter(aQute.service.reporter.Reporter reporter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoizationPlugin

    public PojoizationPlugin()

### Method Detail

#### setProperties

    public void setProperties(Map<String,String> configuration)

Specified by:
  `setProperties` in interface `aQute.bnd.service.Plugin`

#### setReporter

    public void setReporter(aQute.service.reporter.Reporter reporter)

Specified by:
  `setReporter` in interface `aQute.bnd.service.Plugin`

#### analyzeJar

    public boolean analyzeJar(aQute.bnd.osgi.Analyzer analyzer)
                       throws Exception

Specified by:
  `analyzeJar` in interface `aQute.bnd.service.AnalyzerPlugin`
Throws:
  `Exception`

#### manipulateComponents

    protected void manipulateComponents(BndReporter reporter,
                                        BndJarResourceStore store,
                                        org.apache.felix.ipojo.manipulator.metadata.CacheableMetadataProvider cache,
                                        ClassLoader classLoader)

#### buildMetadataProvider

    protected org.apache.felix.ipojo.manipulator.metadata.CompositeMetadataProvider buildMetadataProvider(aQute.bnd.osgi.Analyzer analyzer,
                                                                                                          BndReporter reporter,
                                                                                                          BndJarResourceStore store)

#### createVisitor

    protected org.apache.felix.ipojo.manipulator.ManipulationVisitor createVisitor(org.apache.felix.ipojo.manipulator.ResourceStore store,
                                                                                   BndReporter reporter)